4

My requirement is Mysql 5.6.21. I tried to install Mysql but it installed 5.6.31 version.

I tried following steps:

$ yum repolist all | grep mysql

It gives following output:

mysql55-community/x86_64          MySQL 5.5 Community Server      disabled
mysql55-community-source          MySQL 5.5 Community Server - So disabled
mysql56-community/x86_64          MySQL 5.6 Community Server      enabled:   
mysql56-community-source          MySQL 5.6 Community Server - So disabled

Then I run

$ sudo yum install mysql-community-server mysql-community-client

Package mysql-community-server.x86_64 0:5.6.31-2.el7 will be installed  

Processing Dependency: mysql-community-client(x86-64) = 5.6.31-2.el7 for package: mysql-community-server-5.6.31-2.el7.x86_64
Running transaction check
Package MySQL-client.x86_64 0:5.6.21-1.linux_glibc2.5 will be obsoleted
Package mysql-community-client.x86_64 0:5.6.31-2.el7 will be obsoleting
Finished Dependency Resolution

It installs Mysql 5.6.31. Could any one help me to install Mysql 5.6.21?

I am using Red Hat Enterprise Linux Workstation release 7.2 64bit Version.

1
  • Why do you need to install that specific version? Commented Jun 25, 2016 at 15:08

2 Answers 2

3

Just go to https://downloads.mysql.com/archives/community/ then download after selecting respective version Like: 5.6.21 and OS platform Like Redhat enterprise Linux/oracle linux . then you can install using rpm.

2
  • 1
    I downloaded Mysql 5.6.21 binary from mysql repository. Could you please suggest the process to setup it. Commented Jun 24, 2016 at 14:43
  • The corresponding How-To for installing 5.6.x from RPM can be found at dev.mysql.com/doc/refman/5.6/en/linux-installation-rpm.html Note that attempting to install -server-5.6.* and -server-minimal-5.6.* from the rpm-bundle will conflict and you will have to exclude one. Commented Nov 30, 2020 at 14:32
0

If the repository has got no rpms for the specific version you need, one could try downloading the specific rpm through any of the numerous repositories readily available on the web and then use the rpm manager to install it as,

rpm -ivh packagename.rpm
3
  • packagename means MySQL-server-5.6.21-1.linux_glibc2.5.i386.rpm ? am i right? Could you please specify. I downloaded rpm bundle from mysql and tried to run by rpm -ivh. I got error. Commented Jun 24, 2016 at 14:38
  • What error was that? The yum usage is preferable as it takes care of the probable dependencies, If the rpm package is bundled with all of it's dependencies then there shouldn't have been a glitch, also these packages are distribution specific, which goes without saying Commented Jun 24, 2016 at 14:43
  • I installed Mysql-Server and client. Is there any other package installation and configuration required? When i tried to run service it gives The server quit without updating PID file (/[FAILED]l/mysql/data/oc2838762211.ibm.com.pid) Commented Jun 24, 2016 at 14:58

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .